<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Termine\TerminKopieren;

class TerminKopierenFormularController extends \Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Termine\TerminHinzufuegen\TerminHinzufuegenFormularController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TerminKopierenFormularUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new TerminKopierenFormularRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->origKtId = \GetOperations::getVarValue('origKtId');

    return $requestObj;
  }
}